// Initialize variables to store X and Y positions, and a button state
int X_Pos = 0;
int Y_Pos = 0;
int b;

// Set up the serial communication and configure pin D2 as input with pull-up
void setup() {
  Serial.begin(9600);
  pinMode(D2, INPUT_PULLUP);
}

// Continuously read analog values, print them along with the button state over serial
void loop() {
  X_Pos = analogRead(A1);
  Y_Pos = analogRead(A2);

  // Transmit X and Y positions, and the inverted button state separated by commas
  Serial.print(X_Pos, DEC);
  Serial.print(",");
  Serial.print(Y_Pos, DEC);
  Serial.print(",");
  Serial.print(!b);

  // Start a new line to delimit the end of the data for each iteration
  Serial.print("\n");

  // Introduce a short delay for stability
  delay(10);
}